Bug 507915 - Review Request: ldd-pdf - Linux Device Drivers, Third Edition Book in PDF format
Review Request: ldd-pdf - Linux Device Drivers, Third Edition Book in PDF format
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 13:28 EDT by steve
Modified: 2009-07-03 15:51 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.0-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:43:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jochen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description steve 2009-06-24 13:28:01 EDT
Spec URL: http://lonetwin.net/yum/SPECS/ldd3_pdf.spec
SRPM URL: http://lonetwin.net/yum/SRPMS/ldd3_pdf-3.0-1.src.rpm
Description:
The third edition of Linux Device Drivers, by Jonathan Corbet, Alessandro
Rubini, and Greg Kroah-Hartman

This is the PDF version
Comment 1 Susi Lehtola 2009-06-24 14:08:12 EDT
License version is not mentioned in
http://fedoraproject.org/wiki/Licensing

so tagging FE-LEGAL for now.
Comment 2 steve 2009-06-24 18:33:54 EDT
Updated the License tag based on Spot's comment about License version nos.
https://www.redhat.com/archives/fedora-packaging/2009-June/msg00108.html

New spec and srpm are at:
Spec URL: http://lonetwin.net/yum/SPECS/ldd3_pdf.spec
SRPM URL: http://lonetwin.net/yum/SRPMS/ldd3_pdf-3.0-1.src.rpm
Comment 3 Susi Lehtola 2009-06-25 03:25:09 EDT
Removing FE-LEGAL.
Comment 4 Tom "spot" Callaway 2009-06-25 04:21:23 EDT
Drive-by comment: Don't use "_" in the naming.
Comment 5 steve 2009-06-25 11:50:48 EDT
Thanks for the correction spot.
Changed the name from ldd3_pdf to ldd3-pdf. New spec and srpm are at:
Spec URL: http://lonetwin.net/yum/SPECS/ldd3-pdf.spec
SRPM URL: http://lonetwin.net/yum/SRPMS/ldd3-pdf-3.0-2.src.rpm
Comment 6 steve 2009-06-25 12:12:59 EDT
Sorry, i forgot to add the %{?dist} after the release bump. Corrected that. The new spec and srpm are at:
Spec URL: http://lonetwin.net/yum/SPECS/ldd3-pdf.spec
SRPM URL: http://lonetwin.net/yum/SRPMS/ldd3-pdf-3.0-2.fc10.src.rpm
Comment 7 Jochen Schmitt 2009-06-25 13:41:08 EDT
Good:
+ Basename of SPEC file matches with package name
+ Package name fullfill naming guidelines
+ Package contains a valid license tag
+ Package contains CA-BY-SA as a valice free license for content
+ Package contains a verbartin copy of the license text
+ URL tag shows on proper project homepage
+ Source tarball could be downloaded via spectool -g
+ Package tar ball matches with upstream
(md5sum: 5cfce7586b3eed87d57c715d5ba86e17)
+ Consistent usage of rpm macros
+ Package doesn't contains subpackages
+ Package contains proper buildroot definition
+ Buildroot will be cleaned at the beginning of %clean and %install
+ Package is built as an noarch package
+ Package contains empty %build stanza
+ Local build works fine
+ Rpmlint is silent for source rpm
+ Rpmlint is silent for binary rpm
+ Local install and uninstall works fine
+ Sratch build on koji works fine
+ Files have proper file permission
+ %files stanza contains no duplicate entries
+ All Files are own by this package
+ No files are belong to an onther package
+ Package contains only documentation
+ Package has proper %changelog stanza

Your package is APPROVED
Comment 8 Susi Lehtola 2009-06-25 14:41:01 EDT
I wouldn't use %dist since the packages on different distributions are identical, since they only contain the PDF...
Comment 9 Jochen Schmitt 2009-06-25 14:48:24 EDT
I disaggree with you in this point. Even if alle the releases contains the same content, it may be helpful to use the %{dist} tag. For example for F-12 the usage of LZMA to compress the rpm data is planed. So on the dist tag, you can see, if you can use a package for F-12 or not without a try to install it.
Comment 10 Susi Lehtola 2009-06-25 15:08:50 EDT
(In reply to comment #9)
> I disaggree with you in this point. Even if alle the releases contains the same
> content, it may be helpful to use the %{dist} tag. For example for F-12 the
> usage of LZMA to compress the rpm data is planed. So on the dist tag, you can
> see, if you can use a package for F-12 or not without a try to install it.  

Not using the %dist tag doesn't mean the F12 package won't be LZMA compressed. What matters is when one updates, say from F11 to F12 the packages that don't have the %dist tag won't be updated (until a new version is available in the updates repo) if the version and release in both distros is the same: say, foo-1-1 in F11 and foo-1-1 in F12.

When the dist tag is used the F12 package foo-1-1.fc12 will be "newer" than foo-1-1.fc11 and thus will replace the old one.

In case the package is (close to) identical in both distros [no binaries compiled], not using the dist tag saves some download and update time.

Of course, generally speaking something is compiled in every package and the %dist tag should be used, so from a stylistic point of view using it could be advised in these cases too. However, if the package is as big as the SRPM (11 MB) I wouldn't put in a %dist tag since nothing is gained from it.
Comment 11 Jochen Schmitt 2009-06-25 15:50:55 EDT
I have got a look on

https://fedoraproject.org/wiki/Packaging:DistTag

Because this document says, that using of the dist tag is not mandotory, your solution is permitted.
Comment 12 steve 2009-06-25 17:13:49 EDT
I agree with Jussi Lehtola's reasoning that the presence of the dist tag does not serve much of a purpose whereas it's absence would reduce download and update time.

I choose to go without the dist tag. The new spec and srpm are below.
(note: I've reverted back the release to 1, since the dist tag was the only change and the package isn't an officially 'released' package yet):

Spec URL: http://lonetwin.net/yum/SPECS/ldd3-pdf.spec
SRPM URL: http://lonetwin.net/yum/SRPMS/ldd3-pdf-3.0-1.src.rpm

Jochen, sorry for the trouble, but could you please review and re-approve ?

cheers,
- steve
Comment 13 Jochen Schmitt 2009-06-30 14:47:11 EDT
I want to poke the submitter of this package, that this review is APPROVEd. So he should create the CVSAdmin request for inclussion of this package into Fedora.
Comment 14 steve 2009-06-30 14:57:38 EDT
New Package CVS Request
=======================
Package Name: ldd-pdf
Short Description: Linux Device Drivers, Third Edition Book in PDF format
Owners: lonetwin
Branches: F-10 F-11
InitialCC:
Comment 15 Jason Tibbitts 2009-06-30 22:41:05 EDT
CVS done.
Comment 16 steve 2009-07-01 10:25:44 EDT
Just an FYI update to all those subscribed, I made a few changes:

a. Included the source code for the examples in the book from the o'rielly ftp server.
b. changed the package name from ldd3-pdf to ldd-pdf (you make have noticed that in the cvs request)
c. Changed the name installation dir from %{_docdir}/ldd3-pdf to %{_docdir}/%{name}-%{version}

spec and srpm are checked into cvs
Comment 17 Dennis Gregorovic 2009-07-01 11:37:51 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > I disaggree with you in this point. Even if alle the releases contains the same
> > content, it may be helpful to use the %{dist} tag. For example for F-12 the
> > usage of LZMA to compress the rpm data is planed. So on the dist tag, you can
> > see, if you can use a package for F-12 or not without a try to install it.  
> 
> Not using the %dist tag doesn't mean the F12 package won't be LZMA compressed.
> What matters is when one updates, say from F11 to F12 the packages that don't
> have the %dist tag won't be updated (until a new version is available in the
> updates repo) if the version and release in both distros is the same: say,
> foo-1-1 in F11 and foo-1-1 in F12.

I'm not following the logic here.  

With the dist tag: If you have foo-1-1.fc11 in F11 and don't rebuild it, then you will have foo-1-1.f11 in F12.  If you rebuild it, then you'll have foo-1-1.f12 in F12.

Without the dist tag: If you have foo-1-1 in F11 and don't rebuild it, then you will have foo-1-1 in F12.  If you rebuild it, then you'll have foo-1-2 or foo-1-1.1 in F12, depending on your numbering preference.

The dist tag doesn't cause any additional builds and only helps when you need to rebuild.

> When the dist tag is used the F12 package foo-1-1.fc12 will be "newer" than
> foo-1-1.fc11 and thus will replace the old one.
> 
> In case the package is (close to) identical in both distros [no binaries
> compiled], not using the dist tag saves some download and update time.

It sounds like there is some assumption that the dist tag ties a particular build to a release.  That's not the case.  There are plenty of .fc9 package in F10, for example.  
> 
> Of course, generally speaking something is compiled in every package and the
> %dist tag should be used, so from a stylistic point of view using it could be
> advised in these cases too. However, if the package is as big as the SRPM (11
> MB) I wouldn't put in a %dist tag since nothing is gained from it.
Comment 18 Fedora Update System 2009-07-02 10:51:52 EDT
ldd-pdf-3.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ldd-pdf-3.0-3.fc10
Comment 19 Fedora Update System 2009-07-02 10:51:58 EDT
ldd-pdf-3.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ldd-pdf-3.0-3.fc11
Comment 20 Fedora Update System 2009-07-03 15:42:55 EDT
ldd-pdf-3.0-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2009-07-03 15:51:21 EDT
ldd-pdf-3.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.